tigase.cluster.strategy

## Class SMNonCachingAllNodes

- java.lang.Object
- - tigase.cluster.strategy.SMNonCachingAllNodes

- All Implemented Interfaces:
    ClusteringStrategyIfc<ConnectionRecord>, OnlineJidsReporter

      public abstract class SMNonCachingAllNodes
      extends Object
      implements ClusteringStrategyIfc<ConnectionRecord>

  Created: May 13, 2009 9:53:44 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMNonCachingAllNodes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsJid(tigase.xmpp.BareJID jid)` Method description
    `List<tigase.xmpp.JID>` | `getAllNodes()` Method description
    `tigase.xmpp.JID[]` | `getConnectionIdsForJid(tigase.xmpp.BareJID jid)` Method description
    `Set<ConnectionRecord>` | `getConnectionRecords(tigase.xmpp.BareJID bareJID)` Method description
    `Object` | `getInternalCacheData()` Deprecated.
    `List<tigase.xmpp.JID>` | `getNodesForJid(tigase.xmpp.JID jid)` Method description
    `List<tigase.xmpp.JID>` | `getNodesForPacketForward(tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, Packet packet)` Method description
    `List<tigase.xmpp.JID>` | `getNodesForUserConnect(tigase.xmpp.JID jid)` Method description
    `List<tigase.xmpp.JID>` | `getNodesForUserDisconnect(tigase.xmpp.JID jid)` Method description
    `void` | `getStatistics(StatisticsList list)` Method description
    `boolean` | `hasCompleteJidsInfo()` Method description
    `protected boolean` | `isSuitableForForward(Packet packet)` Method description
    `void` | `nodeConnected(tigase.xmpp.JID jid)` Method description
    `void` | `nodeDisconnected(tigase.xmpp.JID jid)` Method description
    `void` | `setProperties(Map<String,Object> props)` Method description
    `void` | `setSessionManagerHandler(SessionManagerHandler sm)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.cluster.strategy.ClusteringStrategyIfc

      `getConnectionRecord, getConnectionRecordInstance, getDefaults, getInfo, handleLocalPacket, handleLocalPresenceSet, handleLocalResourceBind, handleLocalUserLogin, handleLocalUserLogout, processPacket, setClusterController, setSessionManagerHandler`

- - ### Constructor Detail

    - #### SMNonCachingAllNodes

          public SMNonCachingAllNodes()

  - ### Method Detail

    - #### containsJid

          public boolean containsJid(tigase.xmpp.BareJID jid)

      Method description
      Specified by:
        `containsJid` in interface `OnlineJidsReporter`
      Parameters:
        `jid` -
      Returns:
        `true` if there is user session for the given JID, `false` otherwise.

    - #### nodeConnected

          public void nodeConnected(tigase.xmpp.JID jid)

      Method description
      Specified by:
        `nodeConnected` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Parameters:
        `jid` -

    - #### nodeDisconnected

          public void nodeDisconnected(tigase.xmpp.JID jid)

      Method description
      Specified by:
        `nodeDisconnected` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Parameters:
        `jid` -

    - #### getAllNodes

          public List<tigase.xmpp.JID> getAllNodes()

      Method description
      Specified by:
        `getAllNodes` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Returns:
        List of all cluster nodes currently connected to the cluster.

    - #### getConnectionIdsForJid

          public tigase.xmpp.JID[] getConnectionIdsForJid(tigase.xmpp.BareJID jid)

      Method description
      Specified by:
        `getConnectionIdsForJid` in interface `OnlineJidsReporter`
      Parameters:
        `jid` -
      Returns:
        an array of `JID` containing all Connection IDs (CIDs) for the given user.

    - #### getConnectionRecords

          public Set<ConnectionRecord> getConnectionRecords(tigase.xmpp.BareJID bareJID)

      Method description
      Specified by:
        `getConnectionRecords` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Parameters:
        `bareJID` -
      Returns:
        a Set instance with all ConnectionRecords found for a given BareJID. Note, the result may be null or it maybe an empty Set or non-empty set.

    - #### getInternalCacheData

          @Deprecated
          public Object getInternalCacheData()

      Deprecated.
      Method description
      Specified by:
        `getInternalCacheData` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Returns:
        an Object with content of an internal cache data.

    - #### getNodesForJid

          public List<tigase.xmpp.JID> getNodesForJid(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` -

    - #### getNodesForPacketForward

          public List<tigase.xmpp.JID> getNodesForPacketForward(tigase.xmpp.JID fromNode,
                                                       Set<tigase.xmpp.JID> visitedNodes,
                                                       Packet packet)

      Method description
      Parameters:
        `fromNode` -
        `visitedNodes` -
        `packet` -

    - #### getNodesForUserConnect

          public List<tigase.xmpp.JID> getNodesForUserConnect(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` -

    - #### getNodesForUserDisconnect

          public List<tigase.xmpp.JID> getNodesForUserDisconnect(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` -

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Method description
      Specified by:
        `getStatistics` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Parameters:
        `list` -

    - #### hasCompleteJidsInfo

          public boolean hasCompleteJidsInfo()

      Method description
      Specified by:
        `hasCompleteJidsInfo` in interface `OnlineJidsReporter`
      Returns:
        `true` if the informations are complete, `false` otherwise.

    - #### setProperties

          public void setProperties(Map<String,Object> props)

      Method description
      Specified by:
        `setProperties` in interface `ClusteringStrategyIfc<ConnectionRecord>`
      Parameters:
        `props` -

    - #### setSessionManagerHandler

          public void setSessionManagerHandler(SessionManagerHandler sm)

      Method description
      Parameters:
        `sm` -

    - #### isSuitableForForward

          protected boolean isSuitableForForward(Packet packet)

      Method description
      Parameters:
        `packet` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.